## pitivi 2020.09.1

=== debian/changelog ===
pitivi (2020.09.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Add dependency on gir1.2-gst-plugins-bad-1.0 (Closes: #971741, #971949).
  * Add dependency on gir1.2-peas-1.0 (Closes: #971981).
  * Make the build reproducible (Closes: #972077).
    Thanks to Chris Lamb for the patch.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 06 Oct 2020 12:18:28 +0300

pitivi (2020.09-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop comments on old patch
  * Update VCS fields to new salsa.d.o location
  * Drop old and useless X-Python-Version
  * Bump std-version to 4.5.0, no changes required
  * Bump compat level to 13
  * Switch watch file to https secure mode
  * Bump watch file to version 4 and fix regex to find the new version
  * Move copyright to LGPL-2.1+, matching upstream COPYING file
  * Add R^3: no in control file
  * drop trailing space in changelog file
  * No change rebuild against new gstreamer 1.18 (so transcoder embedded
    dependency doesn't get built anymore) Closes: #965007
    - cherry-pick and rebase upstream commit 51ae6533ee26ffd47e453eb5f5ad8cd46f57d15e
    - add new build and runtime dependency on gstreamer1.0-plugins-bad-apps

  [ Sebastian Dröge ]
  * New upstream release (Closes: #956002, #965007).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 06 Oct 2020 09:10:13 +0300

pitivi (0.999-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * debian/patches/9fc400ca6f3f59fd2b2abfb8e39f0cf7a4031e09.patch,
    debian/patches/0a3cc054a2c20b59f5aaaaa307de3c9af3c0d270.patch:
    + Cherry-pick upstream fixes for python3.8 (Closes: #951779).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Feb 2020 18:59:53 +0100

pitivi (0.999-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop superfluous gnome-doc-utils build-dep (Closes: #947537)
  * debian/rules: drop include /usr/share/python/python.mk
    - there package previously relied on gnome-doc-utils to pull in python2,
      but rather than add python2 build-dep remove the include as it seems
      unused.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 07 Feb 2020 19:01:06 +0100

=== debian/control ===
Source: pitivi
Section: gnome
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 13),
        dpkg-dev (>= 1.16.1~),
        dh-buildinfo,
        dh-python,
        meson (>= 0.46.0),
        python3-dev (>= 3.3),
        python3-nose2,
        intltool (>= 0.35),
        pkg-config,
        itstool,
        git,
        libcairo2-dev,
        libgtk-3-dev (>= 3.20),
        libgstreamer1.0-dev (>= 1.18.0),
        libgstreamer-plugins-base1.0-dev (>= 1.18.0),
        libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
        libgirepository1.0-dev,
        python3-cairo-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pitivi.org
Vcs-Git: https://salsa.debian.org/gstreamer-team/pitivi.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/pitivi/

Package: pitivi
Architecture: any
Depends: ${misc:Depends},
        ${shlibs:Depends},
        ${python3:Depends},
        python3-gi (>= 3.10),
        gir1.2-glib-2.0 (>= 1.31.1),
        gir1.2-gstreamer-1.0 (>= 1.18.0),
        gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
        gir1.2-gst-plugins-bad-1.0 (>= 1.18.0),
        gir1.2-ges-1.0 (>= 1.18.0),
        gir1.2-pango-1.0,
        gir1.2-gdkpixbuf-2.0,
        gir1.2-gtk-3.0 (>= 3.10.0),
        gir1.2-peas-1.0,
        python3-gst-1.0 (>= 1.18.0),
        python3-numpy,
        python3-matplotlib,
        python3-xdg,
        python3-cairo,
        python3-gi-cairo,
        python3-dbus,
        gstreamer1.0-plugins-base (>= 1.18.0),
        gstreamer1.0-plugins-good (>= 1.18.0),
        gstreamer1.0-plugins-bad (>= 1.18.0),
        gstreamer1.0-audiosink,
        gstreamer1.0-gtk3,
        gstreamer1.0-x | gstreamer1.0-videosink
Suggests: gstreamer1.0-plugins-ugly,
          gstreamer1.0-libav,
          frei0r-plugins,
          gir1.2-notify-0.7,
          gir1.2-gsound-1.0,
          gir1.2-gnomedesktop-3.0
Description: non-linear audio/video editor using GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 PiTiVi allows users to easily edit audio/video projects based on the
 GStreamer framework.  PiTIVi provides several ways of creating and
 modifying a timeline.  Ranging from a simple synopsis view (a-la
 iMovie) to the full-blown editing view (aka Complex View) which puts
 you in complete control of your editing.

## pitivi 2020.09.2

=== debian/changelog ===
pitivi (2020.09.2-3) unstable; urgency=medium

  * debian/patches/0002-pipeline-Avoid-committing-the-timeline-while-renderi.patch:
    + Fix audio/video sync being broken in rendered videos (Closes: #985358).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 10:31:38 +0300

pitivi (2020.09.2-2) unstable; urgency=medium

  * debian/control:
    + Add missing dependency on python3-ges-1.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Nov 2020 00:15:48 +0200

pitivi (2020.09.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Oct 2020 09:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
         gir1.2-gtk-3.0 (>= 3.10.0),
         gir1.2-peas-1.0,
         python3-gst-1.0 (>= 1.18.0),
+        python3-ges-1.0 (>= 1.18.0),
         python3-numpy,
         python3-matplotlib,
         python3-xdg,

## pitivi 2021.01

=== debian/changelog ===
pitivi (2021.01-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:02:19 +0300

## pitivi 2021.05

=== debian/changelog ===
pitivi (2021.05-2) unstable; urgency=medium

  * debian/patches/0004-python-3.10.patch:
    + Fix compatibility with Python 3.10 (Closes: #1009055).
      See https://gitlab.gnome.org/GNOME/pitivi/-/merge_requests/403

 -- Sebastian Dröge <slomo@debian.org>  Mon, 11 Apr 2022 10:58:52 +0300

pitivi (2021.05-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/0003-meson-0.61.patch:
    + Fix compatibility with meson 0.61 (Closes: #1004340).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Jan 2022 15:31:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
         dh-buildinfo,
         dh-python,
         meson (>= 0.46.0),
-        python3-dev (>= 3.3),
+        python3-dev (>= 3.5),
         python3-nose2,
         intltool (>= 0.35),
         pkg-config,

## pitivi 2022.06

=== meson_options.txt ===
option('build-gst', type : 'boolean', value : false)
option('disable-help', type : 'boolean', value : false)
option('python', type : 'string', value : 'python3')

=== debian/changelog ===
pitivi (2022.06-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Mar 2023 16:40:01 -0800

pitivi (2022.06-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 27 Jun 2022 09:31:32 +0300

pitivi (2021.05-3) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Apr 2022 09:38:56 +0300

=== debian/control ===
Source: pitivi
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-buildinfo,
               dh-python,
               dpkg-dev (>= 1.16.1~),
               git,
               intltool (>= 0.35),
               itstool,
               libcairo2-dev,
               libgirepository1.0-dev,
               libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
               libgstreamer-plugins-base1.0-dev (>= 1.18.0),
               libgstreamer1.0-dev (>= 1.18.0),
               libgtk-3-dev (>= 3.20),
               meson (>= 0.46.0),
               pkg-config,
               python3-cairo-dev,
               python3-dev (>= 3.5),
               python3-nose2
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://www.pitivi.org
Vcs-Git: https://salsa.debian.org/gstreamer-team/pitivi.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/pitivi/

Package: pitivi
Architecture: any
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-ges-1.0 (>= 1.18.0),
         gir1.2-glib-2.0 (>= 1.31.1),
         gir1.2-gst-plugins-bad-1.0 (>= 1.18.0),
         gir1.2-gst-plugins-base-1.0 (>= 1.18.0),
         gir1.2-gstreamer-1.0 (>= 1.18.0),
         gir1.2-gtk-3.0 (>= 3.10.0),
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         gstreamer1.0-audiosink,
         gstreamer1.0-gtk3,
         gstreamer1.0-plugins-bad (>= 1.18.0),
         gstreamer1.0-plugins-base (>= 1.18.0),
         gstreamer1.0-plugins-good (>= 1.18.0),
         gstreamer1.0-x | gstreamer1.0-videosink,
         python3-cairo,
         python3-dbus,
         python3-ges-1.0 (>= 1.18.0),
         python3-gi (>= 3.10),
         python3-gi-cairo,
         python3-gst-1.0 (>= 1.18.0),
         python3-matplotlib,
         python3-numpy,
         python3-xdg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         frei0r-plugins,
          gir1.2-notify-0.7,
          gstreamer1.0-libav,
          gstreamer1.0-opencv,
          gstreamer1.0-plugins-ugly
Suggests: gir1.2-gnomedesktop-3.0,
          gir1.2-gsound-1.0
Description: non-linear audio/video editor using GStreamer
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 PiTiVi allows users to easily edit audio/video projects based on the
 GStreamer framework.  PiTIVi provides several ways of creating and
 modifying a timeline.  Ranging from a simple synopsis view (a-la
 iMovie) to the full-blown editing view (aka Complex View) which puts
 you in complete control of your editing.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export MAKE = ninja -v

configure_flags += \
		--disable-silent-rules \
		$(NULL)

%:
	dh $@ --with python3 --without pysupport

override_dh_python3:
	dh_python3
	dh_python3 /usr/lib/$(DEB_TARGET_MULTIARCH)/pitivi/python/pitivi

override_dh_auto_configure:
	mkdir -p deb-build && meson --buildtype plain --prefix /usr . deb-build

override_dh_auto_build:
	$(MAKE) -C deb-build all

override_dh_auto_clean:
	rm -rf deb-build
	dh_auto_clean

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/pitivi $(MAKE) -C deb-build install
	dh_auto_install

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## pitivi 2023.03

=== debian/changelog ===
pitivi (2023.03-3) unstable; urgency=medium

  * Add Build-Depends: desktop-file-utils for build tests
  * Remove obsolete Build-Depends: git, intltool
  * Remove unnecessary Build-Depends: libgirepository1.0-dev (Closes: #1118906)
  * Enable all hardening flags
  * debian/copyright: Remove obsolete FSF address
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 14 Nov 2025 20:01:00 -0500

pitivi (2023.03-2) unstable; urgency=medium

  * Opt into Salsa CI
  * Run wrap-and-sort
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 16 Jan 2025 16:32:44 -0500

pitivi (2023.03-1) unstable; urgency=medium

  * New upstream release
  * Adopt for the Debian GNOME team (Closes: #1018070)
    Thanks to Sebastian Dröge for 14 years of maintenance!
  * Drop obsolete Depends: gstreamer1.0-audiosink
  * Simplify debian/rules (Closes: #1015582)
  * Add debian/upstream/metadata
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Nov 2023 14:48:29 -0500

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,26 @@
 Source: pitivi
 Section: gnome
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-buildinfo,
-               dh-python,
-               dpkg-dev (>= 1.16.1~),
-               git,
-               intltool (>= 0.35),
+               dh-sequence-python3,
+               desktop-file-utils <!nocheck>,
                itstool,
                libcairo2-dev,
-               libgirepository1.0-dev,
                libgstreamer-plugins-bad1.0-dev (>= 1.18.0),
                libgstreamer-plugins-base1.0-dev (>= 1.18.0),
                libgstreamer1.0-dev (>= 1.18.0),
                libgtk-3-dev (>= 3.20),
                meson (>= 0.46.0),
-               pkg-config,
+               pkgconf,
                python3-cairo-dev,
                python3-dev (>= 3.5),
                python3-nose2
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
-Homepage: http://www.pitivi.org
-Vcs-Git: https://salsa.debian.org/gstreamer-team/pitivi.git
-Vcs-Browser: https://salsa.debian.org/gstreamer-team/pitivi/
+Standards-Version: 4.7.2
+Homepage: https://www.pitivi.org
+Vcs-Browser: https://salsa.debian.org/gnome-team/pitivi
+Vcs-Git: https://salsa.debian.org/gnome-team/pitivi.git
 
 Package: pitivi
 Architecture: any
@@ -38,7 +33,6 @@
          gir1.2-gtk-3.0 (>= 3.10.0),
          gir1.2-pango-1.0,
          gir1.2-peas-1.0,
-         gstreamer1.0-audiosink,
          gstreamer1.0-gtk3,
          gstreamer1.0-plugins-bad (>= 1.18.0),
          gstreamer1.0-plugins-base (>= 1.18.0),
@@ -55,14 +49,14 @@
          python3-xdg,
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         frei0r-plugins,
+         ${shlibs:Depends}
+Suggests: frei0r-plugins,
+          gir1.2-gnomedesktop-3.0,
+          gir1.2-gsound-1.0,
           gir1.2-notify-0.7,
           gstreamer1.0-libav,
           gstreamer1.0-opencv,
           gstreamer1.0-plugins-ugly
-Suggests: gir1.2-gnomedesktop-3.0,
-          gir1.2-gsound-1.0
 Description: non-linear audio/video editor using GStreamer
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

execute_after_dh_python3:
	dh_python3 /usr/lib/$(DEB_TARGET_MULTIARCH)/pitivi/python/pitivi
